--- old/usr/src/cmd/svr4pkg/pkgscripts/i.CompCpio.sh	2013-05-26 18:22:51.861738753 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/i.CompCpio.sh	2013-05-26 18:22:51.879350963 +0000
@@ -98,7 +98,7 @@
 Rm=usr/bin/rm
 Ln=usr/bin/ln
 Mv=usr/bin/mv
-Nawk=usr/bin/nawk
+Awk=usr/xpg4/bin/awk
 Zcat=usr/bin/zcat
 
 # Set up the default paths
@@ -110,8 +110,8 @@
 ZCAT_cmd=$ZCAT_xpath/zcat
 LN_xpath=/usr/bin
 LN_cmd=$LN_xpath/ln
-NAWK_xpath=/usr/bin
-NAWK_cmd=$NAWK_xpath/nawk
+AWK_xpath=/usr/xpg4/bin/
+AWK_cmd=$AWK_xpath/awk
 RM_xpath=/usr/bin
 RM_cmd=$RM_xpath/rm
 Tmp_xpath=/usr/tmp$$dir
@@ -119,7 +119,7 @@
 rm_cpio=0
 rm_ln=0
 rm_zcat=0
-rm_nawk=0
+rm_awk=0
 rm_rm=0
 rm_mv=0
 no_select=0
@@ -158,7 +158,7 @@
 			$Cpio)		rm_cpio=1; Spcl_exec=1;;
 			$Ln)		rm_ln=1; Spcl_exec=1;;
 			$Zcat)		rm_zcat=1; Spcl_exec=1;;
-			$Nawk)		rm_nawk=1; Spcl_exec=1;;
+			$Awk)		rm_awk=1; Spcl_exec=1;;
 			$Rm)		rm_rm=1; Spcl_exec=1;;
 			$Mv)		rm_mv=1; Spcl_exec=1;;
 		esac
@@ -207,11 +207,11 @@
 				LN_cmd="$Tmp_xpath/ln"
 				Movelist="$1 ln $Movelist"
 				rm_ln=0
-			elif [ $rm_nawk -eq 1 ]; then
-				$LN_cmd -s ../..$Tmp_xpath/nawk $1
-				NAWK_cmd="$Tmp_xpath/nawk"
-				Movelist="$1 nawk $Movelist"
-				rm_nawk=0
+			elif [ $rm_awk -eq 1 ]; then
+				$LN_cmd -s ../..$Tmp_xpath/awk $1
+				AWK_cmd="$Tmp_xpath/awk"
+				Movelist="$1 awk $Movelist"
+				rm_awk=0
 			elif [ $rm_zcat -eq 1 ]; then
 				$LN_cmd -s ../..$Tmp_xpath/zcat $1
 				ZCAT_cmd="$Tmp_xpath/zcat"
@@ -240,7 +240,7 @@
 #
 exec_clean() {	# $1 =1 means be quiet
 	if [ ! -z "${Movelist}" ]; then
-		echo $Movelist | $NAWK_cmd '
+		echo $Movelist | $AWK_cmd '
 			{ split ($0, line)
 			for (n=1; n <= NF; n++) {
 				print line[n]
@@ -264,7 +264,7 @@
 					$Cpio)	CPIO_cmd="$CPIO_xpath/cpio";;
 					$Ln)	LN_cmd="$LN_xpath/ln";;
 					$Zcat)	ZCAT_cmd="$ZCAT_xpath/zcat";;
-					$Nawk)	NAWK_cmd="$NAWK_xpath/nawk";;
+					$Awk)	AWK_cmd="$AWK_xpath/awk";;
 					$Rm)	RM_cmd="$RM_xpath/rm";;
 					$Mv)	MV_cmd="$MV_xpath/mv";;
 				esac
@@ -418,7 +418,7 @@
 			# If there's a path containing a '$' then we can't
 			# use the extraction list because of the shell
 			if [ $list_empty -eq 0 ]; then
-				s=`LD_PRELOAD="$Ld_Preload" $NAWK_cmd ' /\\$/ { print } ' $FILELIST`
+				s=`LD_PRELOAD="$Ld_Preload" $AWK_cmd ' /\\$/ { print } ' $FILELIST`
 
 				if [ ! -z "${s}" ]; then
 					is_a_filelist=0
@@ -449,7 +449,7 @@
 			# If there's a path containing a '$' then we can't
 			# use the extraction list because of the shell
 			if [ $list_empty -eq 0 ]; then
-				s=`LD_PRELOAD="$Ld_Preload" $NAWK_cmd ' /\\$/ { print } ' $FILELIST`
+				s=`LD_PRELOAD="$Ld_Preload" $AWK_cmd ' /\\$/ { print } ' $FILELIST`
 
 				if [ ! -z "${s}" ]; then
 					is_a_filelist=0
